import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import tailwind from '@astrojs/tailwind';
import path from 'path';

// https://astro.build/config
export default defineConfig({
	integrations: [mdx(), tailwind()],
	vite: {
		resolve: {
		  alias: {
			'@components': path.resolve('./src/components'),
			'@layouts': path.resolve('./src/layouts'),
			'@pages': path.resolve('./src/pages'),
			'@styles': path.resolve('./src/styles')
		  }
		}
	  }
});
