---
layout: ../../layouts/LayoutBlog.astro
title: Astro, Layouts und Blog
author: Ionos, https://www.ionos.de/digitalguide/websites/web-entwicklung/markdown/
description: Beschreibung von Markdown
mydata: 45
--- 

# Wozu braucht man Markdown?

Genau wie HTML – oder auch LaTeX – ist Markdown eine **Auszeichnungssprache**. Im Gegensatz zu den genannten soll Markdown aber möglichst leicht von Menschen zu lesen sein. Jedes Auszeichnungselement soll nicht abstrakt, sondern nah an der eigentlichen Bedeutung sein. Am einfachsten lässt sich das Prinzip an einem Beispiel erklären: Möchte man in HTML ein Wort fett hervorheben, nutzt man dafür das \*-Tag.

Schreiben Sie hingegen ein Dokument in LaTeX, verwenden Sie (im Fließtext-Modus) das Element *\\textbf*.

Beides ist zwar einigermaßen gut zu lesen, aber schon etwas schwieriger zu schreiben, besonders, wenn man an längere Texte denkt. **Markdown vereinfacht dies**, indem fettgedruckte Passagen einfach in Sternchen gesetzt werden.

Diese Version ist zum einen einfacher zu lesen, denn das Sternchen macht die Hervorhebung direkt klar, und zum anderen sind die vier Zeichen sehr viel schneller zu tippen als Tags. Bereits ohne Konvertierung (also im **Plain Text**) kann ein Leser leicht feststellen, was der Verfasser meint – selbst wenn man die Markdown-Syntax nicht beherrscht.

Das macht Markdown vor allem für solche Nutzer interessant, die zwar **keinen IT-Hintergrund haben und auch keine Webdesign-Kenntnisse besitzen**, aber dennoch regelmäßig Texte für das Internet verfassen: Blogger, die mit einem Content-Management-System (CMS) arbeiten beispielsweise. Aber auch technikaffine Menschen greifen zu Markdown, wenn sie einfache Texte verfassen. So verwenden manche Programmierer die Markdown Language, um begleitende Dokumente (z. B. [Readme-Dateien](https://www.ionos.de/digitalguide/websites/web-entwicklung/readme-datei/ "Readme-Datei")) zu verfassen, die gar nicht erst konvertiert werden. Ob der Nutzer den Text in einem Markdown-Viewer öffnet oder im rohen Zustand liest, macht kaum einen Unterschied in puncto Lesbarkeit.

Für **die bekanntesten CMS** wie WordPress oder Joomla existieren Plug-ins, die es den Systemen ermöglichen, Markdown zu verstehen. Auch viele Wikis, Foren (reddit beispielsweise) sowie der Website-Generator [Jekyll](https://www.ionos.de/digitalguide/hosting/blogs/jekyll-der-praktische-generator-fuer-statische-website/ "Jekyll – der praktische Generator für statische Website") können mit der vereinfachten Auszeichnungssprache umgehen.

Fakt

Bei Auszeichnungssprachen handelt es sich nicht um Programmiersprachen. Erstere sind nur dafür da, festzulegen, in welcher Form ein Text strukturiert werden soll. Programmiersprachen hingegen zeichnen sich durch Schleifen und Variablen aus und sind damit die Grundlage, um Software zu schreiben.

Markdown versucht kein Ersatz zu HTML zu sein, dafür ist der Umfang der Gestaltungsmöglichkeiten auch viel zu gering. Die Entwickler der Sprache sehen **Markdown eher als Ergänzung**. Es ist möglich, HTML-Elemente in ein Markdown-Dokument einzufügen und so das Spektrum der relativ simpel gehaltenen Sprache zu erweitern. Vielmehr soll die Markdown Language dazu dienen, das Schreiben (vor allem im Internet) zu vereinfachen. Wenn Markdown-Dokumente vom Parser umgewandelt werden, entstehen z. B. HTML-Dateien, um die Anzeige in Browsern zu ermöglichen.

Hinweis

Der Name „Markdown“ ist ein Wortspiel. Im Englischen heißen Auszeichnungssprachen „Markup Languages“. Der Name verdeutlicht, dass es sich um eine herunterskalierte Sprache handelt: Markdown.

## Markdown-Tutorial: Die richtige Syntax für Ihre Dokumente

Da Markdown das Ziel hat, eine möglichst einfache Auszeichnungssprache zu sein, ist auch die **Markdown-Syntax** nahezu selbsterklärend. Dennoch müssen Sie die Auszeichnungselemente zunächst kennen, bevor Sie sie einsetzen können. Wir haben die wichtigsten Funktionen für Sie zusammengetragen.

### Fett & Kursiv

Besonders einfach lassen sich mit Markdown Fettungen und Kursivierungen erstellen. Dafür sind nur **Sternchen** – die sogenannten Asteriske – notwendig. Um kursiv zu schreiben, setzen Sie je ein Sternchen vor und nach dem Wort oder den Wörtern. Für Fettungen verwenden Sie zwei, und möchten Sie einen Textbereich sowohl fett als auch kursiv setzen, benutzen Sie drei Sternchen. Alternativ können Sie Unterstriche verwenden.

### Durchstreichen

Um einen durchgestrichen Text darzustellen, nutzt man bei Markdown die **Tilde** zweimal hintereinander, lässt dann den entsprechenden Text folgen und schließt das Element wieder mit zwei Tilden ab.

Fakt

Sie können mit Markdown Text nicht unterstreichen. Bei HTML ist dies zwar mithilfe des u-Tags möglich, man rät generell aber davon ab. Da im Web Hyperlinks als unterstrichener Text dargestellt werden, möchte man Verwechslungen vermeiden.

